## kcpuload-trinity 14.0.8

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( kcpuload )
set( VERSION R14.0.8 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckSymbolExists      )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff ############################

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules #####

option( BUILD_ALL "Build all" ON                     )
option( BUILD_DOC "Build documentation" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )
add_subdirectory( icons )
tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## kcpuload-trinity 3.5.13.2

=== debian/changelog ===
kcpuload-trinity (4:3.5.13.2-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 20:36:30 +0200

kcpuload-trinity (2.00-0ubuntu4) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

kcpuload-trinity (2.00-0ubuntu3) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 04 March 2009 01:11:00 -0600

kcpuload-trinity (2.00-0ubuntu1) intrepid; urgency=low

  * Added multicore support

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 20 Feb 2009 14:00:00 -0600

kcpuload-trinity (1.99-0ubuntu1) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 19 Dec 2008 12:57:00 -0600

kcpuload (1.99-14ubuntu1) intrepid; urgency=low

  * Drop recommends on kicker (LP: #283543)

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 15 Oct 2008 12:37:18 +0200

kcpuload (1.99-14) unstable; urgency=low

  * Fixed popup so it doesn't have a taskbar button appearing 
    (closes: #343558).

 -- Helen Faulkner <helen@debian.org>  Sat, 19 Jan 2008 03:59:11 +1100

kcpuload (1.99-13) unstable; urgency=low

  * New maintainer.  Thankyou to Ben for looking after this for much longer 
    than he expected to.
  * Removed versioned depends on kdelibs4-dev, since kdelibs4-dev_4:3.4.2* is 
    the current version in unstable now, and to make backports easier.  

 -- Helen Faulkner <helen@debian.org>  Sat, 10 Sep 2005 10:38:49 +1000

kcpuload (1.99-12) unstable; urgency=low

  * Rebuilt against KDE 3.4 with g++-4 for the C++ ABI transition.  Adjusted
    KDE build-depends accordingly.
  * Updated FSF postal address in the copyright file.
  * Bumped standards-version to 3.6.2.1 (no changes required).

 -- Ben Burton <bab@debian.org>  Thu,  1 Sep 2005 09:04:24 +1000

kcpuload (1.99-11) unstable; urgency=low

  * Updated config.{sub,guess} for building on GNU/k*BSD (closes: #306544).

 -- Ben Burton <bab@debian.org>  Thu, 28 Apr 2005 08:27:37 +1000

kcpuload (1.99-10) unstable; urgency=low

  * Fixed SMP detection to work in both 2.4 and 2.6 kernels; previously it
    worked only in 2.4 (closes: #274739).
  * Removed the debian/CVS directory, since debian packaging files have been
    removed from CVS upstream.

 -- Ben Burton <bab@debian.org>  Fri, 25 Mar 2005 19:49:08 +1100

kcpuload (1.99-9) unstable; urgency=low

  * Added explicit copyright statements to debian/copyright.

 -- Ben Burton <bab@debian.org>  Wed, 19 Jan 2005 08:39:03 +1100

kcpuload (1.99-8) unstable; urgency=low

  * Rebuilt against KDE 3.2 for nicer docs.
  * More quoting for the debian menu file.

 -- Ben Burton <bab@debian.org>  Sat,  3 Jul 2004 09:36:46 +1000

kcpuload (1.99-7) unstable; urgency=low

  * Built against new libXrender.
  * Bumped standards-version to 3.6.1.

 -- Ben Burton <bab@debian.org>  Fri,  2 Jan 2004 18:13:07 +1100

kcpuload (1.99-6) unstable; urgency=low

  * Using high colour pixmap for debian menu entry.
  * Updated SEE ALSO section of manpage.
  * Bumped standards-version to 3.6.0.
  * Updated package sections.

 -- Ben Burton <bab@debian.org>  Wed, 27 Aug 2003 20:04:25 +1000

kcpuload (1.99-5) unstable; urgency=low

  * Patched admin/acinclude.m4.in for s390 build (closes: #186814).
  * Using AM_MAINTAINER_MODE.

 -- Ben Burton <bab@debian.org>  Tue,  8 Apr 2003 09:27:53 +1000

kcpuload (1.99-4) unstable; urgency=low

  * Removed dangling symlink (closes: #186168).

 -- Ben Burton <bab@debian.org>  Wed, 26 Mar 2003 14:06:57 +1100

kcpuload (1.99-3) unstable; urgency=low

  * Updated admin/debianrules for new Qt dirs (closes: #184688).
  * Removed alpha compile flags.

 -- Ben Burton <bab@debian.org>  Sun, 16 Mar 2003 16:00:19 +1100

kcpuload (1.99-2) unstable; urgency=low

  * First Trinity upload to debian!
  * Build-depends on debhelper v4.

 -- Ben Burton <bab@debian.org>  Mon,  3 Feb 2003 10:40:27 +1100

kcpuload (1.99-1) unstable; urgency=low

  * New upstream version.
  * Bumped standards-version to 3.5.8.

 -- Ben Burton <bab@debian.org>  Tue, 14 Jan 2003 19:23:14 +1100

kcpuload (1.90-trinity-1) unstable; urgency=low

  * Ported to Trinity.

 -- Ben Burton <benb@acm.org>  Mon,  2 Sep 2002 12:57:36 +1000

kcpuload (1.90-16) unstable; urgency=low

  * Fixed spelling error (closes: Bug#124783).

 -- Ben Burton <benb@acm.org>  Wed, 19 Dec 2001 21:52:05 +1000

kcpuload (1.90-15) unstable; urgency=low

  * Fixed the alpha build _again_.

 -- Ben Burton <benb@acm.org>  Sun,  4 Nov 2001 11:12:23 -0600

kcpuload (1.90-14) unstable; urgency=low

  * No longer runs ./configure a second time (fixes alpha builds).

 -- Ben Burton <benb@acm.org>  Mon, 29 Oct 2001 10:43:01 -0600

kcpuload (1.90-13) unstable; urgency=low

  * Consecutive builds now produce the same source diffs.

 -- Ben Burton <benb@acm.org>  Thu, 11 Oct 2001 14:09:31 -0500

kcpuload (1.90-12) unstable; urgency=low

  * Builds with automake 1.5.
  * Updated config.guess and config.sub (closes: Bug#115030).

 -- Ben Burton <benb@acm.org>  Thu, 11 Oct 2001 09:41:57 -0500

kcpuload (1.90-11) unstable; urgency=low

  * Updated parameters for alpha build.

 -- Ben Burton <benb@acm.org>  Sun, 23 Sep 2001 23:07:01 -0500

kcpuload (1.90-10) unstable; urgency=low

  * objprelink: now you see it, now you don't (removed).

 -- Ben Burton <benb@acm.org>  Sun, 16 Sep 2001 12:22:33 -0500

kcpuload (1.90-9) unstable; urgency=low

  * Uses objprelink.

 -- Ben Burton <benb@acm.org>  Thu, 30 Aug 2001 09:10:08 -0500

kcpuload (1.90-8) unstable; urgency=low

  * Cleaned up debian/rules.

 -- Ben Burton <benb@acm.org>  Wed,  8 Aug 2001 19:08:30 +1000

kcpuload (1.90-7) unstable; urgency=low

  * Builds on alpha.
  * Upped standards-version to 3.5.6.

 -- Ben Burton <benb@acm.org>  Sat,  4 Aug 2001 00:32:46 +1000

kcpuload (1.90-6) unstable; urgency=low



=== debian/control ===
Source: kcpuload-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Helen Faulkner <helen@debian.org>
Build-Depends: debhelper (>> 4.0.0), quilt, kdelibs4-trinity-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: kcpuload-trinity
Architecture: any
Section: kde
Replaces: kcpuload-kde3 (<< 4:3.5.13)
Breaks: kcpuload-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Suggests: knetload-trinity
Description: a CPU meter for Kicker [Trinity]
 KCPULoad is a small program for Kicker (the KDE panel).  It shows a
 recent history of CPU usage in the form of one or two configurable
 diagrams in the system tray.  These diagrams have settings for colours
 and various different styles.
 .
 KCPULoad has support for SMP and separate user/system loads.

## kcpuload-trinity 14.0.4

=== debian/changelog ===
kcpuload-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:16:01 +0200

## kcpuload-trinity 14.0.5

=== debian/changelog ===
kcpuload-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:24:43 +0200

=== debian/control ===
Source: kcpuload-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Helen Faulkner <helen@debian.org>
Build-Depends: debhelper (>= 7.0.50~), tdelibs14-trinity-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: kcpuload-trinity
Architecture: any
Section: tde
Replaces: kcpuload-kde3 (<< 4:14.0.0~), kcpuload-trinity (<< 4:14.0.0~)
Breaks: kcpuload-kde3 (<< 4:14.0.0~), kcpuload-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: knetload-trinity
Description: a CPU meter for Kicker [Trinity]
 KCPULoad is a small program for Kicker (the TDE panel).  It shows a
 recent history of CPU usage in the form of one or two configurable
 diagrams in the system tray.  These diagrams have settings for colours
 and various different styles.
 .
 KCPULoad has support for SMP and separate user/system loads.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

INSTALL_DIR = install -p -d -o root -g root -m 755
INSTALL_FILE = install -p -o root -g root -m 644

objdir = $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)

tmp = debian/kcpuload-trinity
overrides = $(tmp)/usr/share/lintian/overrides

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifeq ($(DEB_BUILD_GNU_TYPE),i386-linux)
  # Uncomment the following 2 lines to enable i686 optimziation
  # You may want to tweak the settings to your likings
  #export CFLAGS=-O3 -march=i686 -ffast-math -finline-functions
  #export CXXFLAGS=-O3 -march=i686 -ffast-math -finline-functions
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	cp -p /usr/share/misc/config.sub admin/config.sub
	cp -p /usr/share/misc/config.guess admin/config.guess

	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

	if test ! -f configure; then \
		$(MAKE) -f admin/Makefile.common ;\
	fi

	# make build directory
	mkdir $(objdir)

	# run configure with build tree $(objdir)
	cd $(objdir) && \
	../configure --disable-debug --enable-final --libexecdir=/opt/trinity/bin --sysconfdir=/etc --libdir=/opt/trinity/lib --includedir=/opt/include/tde --with-qt-includes=/usr/include/qt3 --mandir=/opt/trinity/share/man --infodir=/opt/trinity/share/info --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	cd $(objdir) && \
	$(MAKE)

	touch build-stamp

debian-clean:
	dh_testdir
	dh_testroot

	dh_clean

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Remove build tree
	rm -rf $(objdir)

	# if Makefile exists run distclean
	if test -f Makefile; then \
		$(MAKE) distclean; \
	fi

	if test -d CVS; then \
		$(MAKE) -f admin/Makefile.common cvs-clean ;\
	fi

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cd $(objdir) && \
	$(MAKE) install DESTDIR=$(CURDIR)/debian/kcpuload-trinity

	# Install additional files beyond the standard install.
	dh_install

	# Generate HTML docs.
	for i in `find $(tmp) -name "index.docbook"`; do \
	  ( cd `dirname $$i`; /opt/trinity/bin/meinproc `basename $$i` ); \
	done

	# Install standard documentation links.
	for pkg in `dh_listpackages`; do \
	  if test -d debian/$$pkg/opt/trinity/share/doc/tde/HTML/en/$$pkg; then \
	    dh_link -p$$pkg opt/trinity/share/doc/tde/HTML/en/$$pkg \
	      opt/trinity/share/doc/$$pkg/html; \
	  fi; \
	done

	# Install lintian overrides.
	$(INSTALL_DIR) $(overrides)
	$(INSTALL_FILE) debian/override $(overrides)/kcpuload-trinity

# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs kcpuload/ChangeLog
	dh_installdocs
	rm -fr debian/kcpuload-trinity/usr/share/doc-base
	dh_installexamples
	dh_installmanpages
	mv debian/kcpuload-trinity/usr/share/man debian/kcpuload-trinity/opt/trinity/share/
	dh_installmenu
	dh_installmime
	dh_strip
	dh_link
	dh_compress -X.docbook -X.css -X-license -X.dcl -X.bz2
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb $(DEB_DH_BUILDDEB_ARGS)

# Build architecture independant packages using the common target.
binary-indep: build install
	# We have nothing to do by default.

# Build architecture dependant packages using the common target.
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

# Any other binary targets build just one binary package at a time.
binary-%: build install
	$(MAKE) -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## kcpuload-trinity 14.0.6

=== debian/changelog ===
kcpuload-trinity (4:14.0.6-0ubuntu17.10.0+0) artful; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:22:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Helen Faulkner <helen@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), tdelibs14-trinity-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kcpuload-trinity

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk
include debian/cdbs/debian-qt-kde.mk

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"

# Honour "parallel=N" option of DEB_BUILD_OPTIONS.  Comment out to
# never build in parallel, regardless of DEB_BUILD_OPTIONS.
DEB_BUILD_PARALLEL = true

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

## kcpuload-trinity 14.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #### general package setup
 
 project( kcpuload )
-set( VERSION R14.0.8 )
+set( VERSION R14.0.9 )
 
 
 #### include essential cmake modules

=== debian/changelog ===
kcpuload-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:04:36 +0200

## kcpuload-trinity 14.0.10

=== debian/changelog ===
kcpuload-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: kcpuload-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Helen Faulkner <helen@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, cmake, tdelibs14-trinity-dev
+Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kcpuload-trinity

## kcpuload-trinity 14.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 2.8.12 )
 
 
 #### general package setup
 
 project( kcpuload )
-set( VERSION R14.0.9 )
+set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -69,8 +69,12 @@
 
 add_subdirectory( src )
 add_subdirectory( icons )
-tde_conditional_add_subdirectory( BUILD_DOC doc )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )
+
+
+##### other data ################################
+
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files

=== debian/changelog ===
kcpuload-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kcpuload

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 30 Jul 2021 22:39:13 +0200

## kcpuload-trinity 14.0.12

=== debian/changelog ===
kcpuload-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#kcpuload

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:53 +0100

## kcpuload-trinity 14.0.13

=== debian/changelog ===
kcpuload-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kcpuload

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 23 Jun 2022 06:13:28 +0200

## kcpuload-trinity 14.1.0

=== debian/changelog ===
kcpuload-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kcpuload

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 12 Feb 2023 11:22:17 +0100

## kcpuload-trinity 14.1.1

=== debian/changelog ===
kcpuload-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kcpuload

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 15 Aug 2023 13:09:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Helen Faulkner <helen@debian.org>
-Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kcpuload-trinity
 Architecture: any
 Section: tde
-Replaces: kcpuload-kde3 (<< 4:14.0.0~), kcpuload-trinity (<< 4:14.0.0~)
-Breaks: kcpuload-kde3 (<< 4:14.0.0~), kcpuload-trinity (<< 4:14.0.0~)
+Replaces: kcpuload-trinity (<< 4:14.0.0~)
+Breaks: kcpuload-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: knetload-trinity
 Description: a CPU meter for Kicker [Trinity]

## kcpuload-trinity 14.1.2

=== debian/changelog ===
kcpuload-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kcpuload

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 13 Apr 2024 00:50:40 +0200

## kcpuload-trinity 14.1.3

=== debian/changelog ===
kcpuload-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kcpuload

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 06 Oct 2024 23:39:46 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Helen Faulkner <helen@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kcpuload-trinity
 Architecture: any
 Section: tde
-Replaces: kcpuload-trinity (<< 4:14.0.0~)
-Breaks: kcpuload-trinity (<< 4:14.0.0~)
+Replaces: kcpuload-kde3 (<< 4:14.0.0~), kcpuload-trinity (<< 4:14.0.0~)
+Breaks: kcpuload-kde3 (<< 4:14.0.0~), kcpuload-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: knetload-trinity
 Description: a CPU meter for Kicker [Trinity]

## kcpuload-trinity 14.1.4

=== debian/changelog ===
kcpuload-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kcpuload

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 23:37:01 +0200

## kcpuload-trinity 14.1.5~pre0

=== debian/changelog ===
kcpuload-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for b8a5392199fe5492b1f9c996cb731bb307c4c63f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kcpuload

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kcpuload-trinity 14.1.5

=== debian/changelog ===
kcpuload-trinity (4:14.1.5-0ubuntu24.04.0+0) noble; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kcpuload

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Helen Faulkner <helen@debian.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kcpuload-trinity

## kcpuload-trinity 14.1.6~pre0

=== debian/changelog ===
kcpuload-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for b8a5392199fe5492b1f9c996cb731bb307c4c63f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kcpuload

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kcpuload-trinity 14.1.6~pre1

=== debian/changelog ===
kcpuload-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for c7e66a02708b399eb226c11f8d8069447179ae61
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kcpuload

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:20:59 +0100

## kcpuload-trinity 14.2.0~pre32

=== debian/changelog ===
kcpuload-trinity (4:14.2.0~pre32-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for b7c9f4c2a3aba36247bbafb915294afb3d45e91e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kcpuload

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## kcpuload-trinity 14.2.0~pre33

=== debian/changelog ===
kcpuload-trinity (4:14.2.0~pre33-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 2a500693a16a791c3e34d902ca248ab63bcc7c1a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kcpuload

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:14:22 +0100
